# [Django Admin Volt](https://app-generator.dev/docs/products/django-libs/theme-volt.html)

Modern template for **Django Admin**, Auth Pages (registration included) crafted on top of **Volt Dashboard**, an open-source **Bootstrap 5** design.

- [Django Admin Volt](https://app-generator.dev/docs/products/django-libs/theme-volt.html) - Documentation & Support Links
- [Django Volt Dashboard](https://app-generator.dev/product/volt-dashboard/django/) - The product that uses the library
- [Getting Started with Django](https://app-generator.dev/docs/technologies/django/index.html) - Learn how to code **Django** Projects

<br />

## **Features**

- Design: Volt Dashboard Bootstrap 5
- **Sections Covered**: 
  - `Admin Section`, reserved for `superusers`
  - `All pages` managed by `Django.contrib.AUTH`
  - `Registration` page
  - `Misc pages`: colors, icons, typography, blank-page 
  
<br />

### Build a Starter with [Django App Generator - Volt Design](https://app-generator.dev/tools/django-generator/volt/)

- Access the [App Generator](https://app-generator.dev/tools/django-generator/) page
- Select **Volt Dashboard** as the preferred design
- (Optional) Design Database: edit models and fields
- (Optional) Edit the fields for the extended user model
- (Optional) Enable OAuth for GitHub
- (Optional) Add Celery (async tasks)
- (Optional) Enable Dynamic API Module
- Docker Scripts
- Render CI/Cd Scripts

**The generated Django project is available as a ZIP Archive and also uploaded to GitHub.**

<br />

![Django Admin Volt - Modern template for Django Admin Section crafted on top of a modern Bootstrap 5 Design.](https://user-images.githubusercontent.com/51070104/168843604-b026fd94-5969-4be7-81ac-5887cf0958e5.png)

<br />

## [Volt Dashboard PRO Version](https://app-generator.dev/product/volt-dashboard-pro/django/)

> The premium version provides more features, priority on support, and is more often updated - [Live Demo](https://django-volt-dashboard-pro.onrender.com).

- **Simple, Easy-to-Extend** Codebase
- **Volt Dashboard** Design - PRO Version
- Bootstrap 5 CSS
- **OAuth** - Github
- **Extended User Profile**
- **API** via DRF 
- **Charts** via ApexJS 
- **Celery** (async tasks)
- **Deployment-Ready** for Render 

![Django Volt Dashboard - Premium Full-Stack Starter powered by Django, and Bootstrap 5 - Actively supported by App-Generator](https://github.com/user-attachments/assets/d24feda4-e4ff-4348-b335-429230dd7815)

<br />

---
**[Django Admin Volt](https://app-generator.dev/docs/products/django-libs/theme-volt.html)** - Modern Django Admin Interface provided by **[App-Generator](https://app-generator.dev)**
